.PHONY: clean

default: wapiti

wapiti:
	@echo Extracting Wapiti source
	mkdir -p src
	tar xfvz wapiti.tar.gz -C src
	@echo Compiling Wapiti
	cd src/wapiti && $(MAKE)
	@echo Copying the binary
	cp src/wapiti/wapiti wapiti
	@echo Removing source files
	rm -rf src
	
clean:
	@echo Removing Wapiti binary
	rm -rf wapiti